Void Linux discussion
 help / Atom feed
* Flowblade
@ 2017-10-12  6:25 Gerhard Kugler
       [not found] ` <<d30aaf8e-8c6a-4d01-b5c7-a9e4b98a9400@googlegroups.com>
  2017-10-12 12:39 ` Flowblade Leah Neukirchen
  0 siblings, 2 replies; 14+ messages in thread
From: Gerhard Kugler @ 2017-10-12  6:25 UTC (permalink / raw)
  To: voidlinux

[-- Attachment #1.1: Type: text/plain, Size: 221 bytes --]

Hi,
I would like to install flowblade. I have downloaded the tar-File. But if I 
start the file flowblade I get errors. The file is not read in several 
expressions. Possibly I had not installed all dependencies.
Gerhard

[-- Attachment #1.2: Type: text/html, Size: 259 bytes --]

^ permalink raw reply	[flat|nested] 14+ messages in thread

* Re: Flowblade
  2017-10-12  6:25 Flowblade Gerhard Kugler
       [not found] ` <<d30aaf8e-8c6a-4d01-b5c7-a9e4b98a9400@googlegroups.com>
@ 2017-10-12 12:39 ` Leah Neukirchen
  2017-10-12 13:40   ` Flowblade Gerhard Kugler
  1 sibling, 1 reply; 14+ messages in thread
From: Leah Neukirchen @ 2017-10-12 12:39 UTC (permalink / raw)
  To: Gerhard Kugler' via voidlinux; +Cc: Gerhard Kugler

"'Gerhard Kugler' via voidlinux" <void...@googlegroups.com> writes:

> Hi,
> I would like to install flowblade. I have downloaded the tar-File. But if I 
> start the file flowblade I get errors. The file is not read in several 
> expressions. Possibly I had not installed all dependencies.
> Gerhard

From a quick look at the dependencies defined in
https://aur.archlinux.org/packages/flowblade/
Void Linux should have all the packages.

Without showing the full error message, people cannot help you.

-- 
Leah Neukirchen  <le...@vuxu.org>  http://leah.zone

^ permalink raw reply	[flat|nested] 14+ messages in thread

* Re: Flowblade
  2017-10-12 12:39 ` Flowblade Leah Neukirchen
@ 2017-10-12 13:40   ` Gerhard Kugler
  2017-10-12 13:47     ` Flowblade 0x...
  0 siblings, 1 reply; 14+ messages in thread
From: Gerhard Kugler @ 2017-10-12 13:40 UTC (permalink / raw)
  To: voidlinux

[-- Attachment #1.1: Type: text/plain, Size: 989 bytes --]

If I call ./flowblade I get:

  File "./flowblade", line 26
    print "FLOWBLADE MOVIE EDITOR 1.14"
                                                                    ^
     SyntaxError: Missing parentheses in call to 'print'. Did you mean 
print("FLOWBLADE MOVIE EDITOR 1.14")?




Am Donnerstag, 12. Oktober 2017 14:39:07 UTC+2 schrieb Leah Neukirchen:
>
> "'Gerhard Kugler' via voidlinux" <voi...@googlegroups.com <javascript:>> 
> writes: 
>
> > Hi, 
> > I would like to install flowblade. I have downloaded the tar-File. But 
> if I 
> > start the file flowblade I get errors. The file is not read in several 
> > expressions. Possibly I had not installed all dependencies. 
> > Gerhard 
>
> From a quick look at the dependencies defined in 
> https://aur.archlinux.org/packages/flowblade/ 
> Void Linux should have all the packages. 
>
> Without showing the full error message, people cannot help you. 
>
> -- 
> Leah Neukirchen  <le...@vuxu.org <javascript:>>  http://leah.zone 
>

[-- Attachment #1.2: Type: text/html, Size: 2694 bytes --]

^ permalink raw reply	[flat|nested] 14+ messages in thread

* Re: Flowblade
  2017-10-12 13:40   ` Flowblade Gerhard Kugler
@ 2017-10-12 13:47     ` 0x...
  2017-10-12 14:08       ` Flowblade Gerhard Kugler
  0 siblings, 1 reply; 14+ messages in thread
From: 0x... @ 2017-10-12 13:47 UTC (permalink / raw)
  To: Gerhard Kugler; +Cc: voidlinux

[-- Attachment #1: Type: text/plain, Size: 1829 bytes --]

Looks like it's trying to use python3 instead of python2 for some reason. Do you have python2 installed? You could try running python2 flowblade instead, or edit the file to start with #!/usr/bin/python2.

12. Oct 2017 15:40 by void...@googlegroups.com:


> If I call ./flowblade I get:
>   File "./flowblade", line 26>     print "FLOWBLADE MOVIE EDITOR 1.14">                                                                     ^>      SyntaxError: Missing parentheses in call to 'print'. Did you mean print("FLOWBLADE MOVIE EDITOR 1.14")?
>
>
>
> Am Donnerstag, 12. Oktober 2017 14:39:07 UTC+2 schrieb Leah Neukirchen:
>> "'Gerhard Kugler' via voidlinux" <>> voi...@googlegroups.com>> > writes:
>>
>> > Hi,
>> > I would like to install flowblade. I have downloaded the tar-File. But if I 
>> > start the file flowblade I get errors. The file is not read in several 
>> > expressions. Possibly I had not installed all dependencies.
>> > Gerhard
>>
>> From a quick look at the dependencies defined in
>> https://aur.archlinux.org/packages/flowblade/
>> Void Linux should have all the packages.
>>
>> Without showing the full error message, people cannot help you.
>>
>> -- 
>> Leah Neukirchen  <>> le...@vuxu.org>> >  >> http://leah.zone
>>
>
>
> -- 
> You received this message because you are subscribed to the Google Groups "voidlinux" group.
> To unsubscribe from this group and stop receiving emails from it, send an email to > voidlinux+...@googlegroups.com> .
> To post to this group, send email to > void...@googlegroups.com> .
> To view this discussion on the web visit > https://groups.google.com/d/msgid/voidlinux/96e40c31-fef3-4a4c-8289-166f7849e29c%40googlegroups.com> .
> For more options, visit > https://groups.google.com/d/optout> .
>
[-- Attachment #2: Type: text/html, Size: 3558 bytes --]

^ permalink raw reply	[flat|nested] 14+ messages in thread

* Re: Flowblade
  2017-10-12 13:47     ` Flowblade 0x...
@ 2017-10-12 14:08       ` Gerhard Kugler
  2017-10-12 14:10         ` Flowblade Michael Gehring
  0 siblings, 1 reply; 14+ messages in thread
From: Gerhard Kugler @ 2017-10-12 14:08 UTC (permalink / raw)
  To: voidlinux

[-- Attachment #1.1: Type: text/plain, Size: 2341 bytes --]

First: thank you for your help.
But if I call python2 flowblade, I get:

FLOWBLADE MOVIE EDITOR 1.14
---------------------------
Launch script dir: /usr/local/bin/FLOWBLADE/flowblade-1.14/flowblade-trunk
Running from filesystem...
MLT not found, exiting...
ERROR: No module named mlt

But mlt is installed!

Gerhard


Am Donnerstag, 12. Oktober 2017 15:47:50 UTC+2 schrieb 0x...@keemail.me:
>
> Looks like it's trying to use python3 instead of python2 for some reason. 
> Do you have python2 installed? You could try running python2 flowblade 
> instead, or edit the file to start with #!/usr/bin/python2.
>
>
> 12. Oct 2017 15:40 by voi...@googlegroups.com <javascript:>:
>
> If I call ./flowblade I get:
>
>   File "./flowblade", line 26
>     print "FLOWBLADE MOVIE EDITOR 1.14"
>                                                                     ^
>      SyntaxError: Missing parentheses in call to 'print'. Did you mean 
> print("FLOWBLADE MOVIE EDITOR 1.14")?
>
>
>
>
> Am Donnerstag, 12. Oktober 2017 14:39:07 UTC+2 schrieb Leah Neukirchen:
>>
>> "'Gerhard Kugler' via voidlinux" <voi...@googlegroups.com> writes: 
>>
>> > Hi, 
>> > I would like to install flowblade. I have downloaded the tar-File. But 
>> if I 
>> > start the file flowblade I get errors. The file is not read in several 
>> > expressions. Possibly I had not installed all dependencies. 
>> > Gerhard 
>>
>> From a quick look at the dependencies defined in 
>> https://aur.archlinux.org/packages/flowblade/ 
>> Void Linux should have all the packages. 
>>
>> Without showing the full error message, people cannot help you. 
>>
>> -- 
>> Leah Neukirchen  <le...@vuxu.org>  http://leah.zone 
>>
> -- 
> You received this message because you are subscribed to the Google Groups 
> "voidlinux" group.
> To unsubscribe from this group and stop receiving emails from it, send an 
> email to voidli...@googlegroups.com <javascript:>.
> To post to this group, send email to voi...@googlegroups.com 
> <javascript:>.
> To view this discussion on the web visit 
> https://groups.google.com/d/msgid/voidlinux/96e40c31-fef3-4a4c-8289-166f7849e29c%40googlegroups.com 
> <https://groups.google.com/d/msgid/voidlinux/96e40c31-fef3-4a4c-8289-166f7849e29c%40googlegroups.com?utm_medium=email&utm_source=footer>
> .
> For more options, visit https://groups.google.com/d/optout.
>
>
[-- Attachment #1.2: Type: text/html, Size: 5434 bytes --]

^ permalink raw reply	[flat|nested] 14+ messages in thread

* Re: Flowblade
  2017-10-12 14:08       ` Flowblade Gerhard Kugler
@ 2017-10-12 14:10         ` Michael Gehring
  2017-10-12 14:19           ` Flowblade Gerhard Kugler
  0 siblings, 1 reply; 14+ messages in thread
From: Michael Gehring @ 2017-10-12 14:10 UTC (permalink / raw)
  To: Gerhard Kugler; +Cc: voidlinux

On Thu, Oct 12, 2017 at 07:08:29AM -0700, 'Gerhard Kugler' via voidlinux wrote:
> But mlt is installed!

The python bindings are in mlt-python.

^ permalink raw reply	[flat|nested] 14+ messages in thread

* Re: Flowblade
  2017-10-12 14:10         ` Flowblade Michael Gehring
@ 2017-10-12 14:19           ` Gerhard Kugler
  2017-10-12 14:22             ` Flowblade Leah Neukirchen
  2017-10-12 14:23             ` Flowblade Michael Gehring
  0 siblings, 2 replies; 14+ messages in thread
From: Gerhard Kugler @ 2017-10-12 14:19 UTC (permalink / raw)
  To: voidlinux

[-- Attachment #1.1: Type: text/plain, Size: 650 bytes --]

Now I get:

FLOWBLADE MOVIE EDITOR 1.14
---------------------------
Launch script dir: /usr/local/bin/FLOWBLADE/flowblade-1.14/flowblade-trunk
Running from filesystem...
MLT found, version: 6.4.1
Failed to import module app.py to launch Flowblade!
ERROR: No module named gi
Installation was assumed to be at: 
/usr/local/bin/FLOWBLADE/flowblade-1.14/flowblade-trunk/Flowblade

gi seems not to be in repository pool.

Am Donnerstag, 12. Oktober 2017 16:10:19 UTC+2 schrieb Michael Gehring:
>
> On Thu, Oct 12, 2017 at 07:08:29AM -0700, 'Gerhard Kugler' via voidlinux 
> wrote: 
> > But mlt is installed! 
>
> The python bindings are in mlt-python. 
>

[-- Attachment #1.2: Type: text/html, Size: 943 bytes --]

^ permalink raw reply	[flat|nested] 14+ messages in thread

* Re: Flowblade
  2017-10-12 14:19           ` Flowblade Gerhard Kugler
@ 2017-10-12 14:22             ` Leah Neukirchen
  2017-10-12 14:23             ` Flowblade Michael Gehring
  1 sibling, 0 replies; 14+ messages in thread
From: Leah Neukirchen @ 2017-10-12 14:22 UTC (permalink / raw)
  To: Gerhard Kugler' via voidlinux; +Cc: Gerhard Kugler

"'Gerhard Kugler' via voidlinux" <void...@googlegroups.com> writes:

> Now I get:
>
> FLOWBLADE MOVIE EDITOR 1.14
> ---------------------------
> Launch script dir: /usr/local/bin/FLOWBLADE/flowblade-1.14/flowblade-trunk
> Running from filesystem...
> MLT found, version: 6.4.1
> Failed to import module app.py to launch Flowblade!
> ERROR: No module named gi
> Installation was assumed to be at: 
> /usr/local/bin/FLOWBLADE/flowblade-1.14/flowblade-trunk/Flowblade
>
> gi seems not to be in repository pool.

python-gobject

-- 
Leah Neukirchen  <le...@vuxu.org>  http://leah.zone

^ permalink raw reply	[flat|nested] 14+ messages in thread

* Re: Flowblade
  2017-10-12 14:19           ` Flowblade Gerhard Kugler
  2017-10-12 14:22             ` Flowblade Leah Neukirchen
@ 2017-10-12 14:23             ` Michael Gehring
  2017-10-12 14:51               ` Flowblade Gerhard Kugler
  1 sibling, 1 reply; 14+ messages in thread
From: Michael Gehring @ 2017-10-12 14:23 UTC (permalink / raw)
  To: Gerhard Kugler; +Cc: voidlinux

On Thu, Oct 12, 2017 at 07:19:41AM -0700, 'Gerhard Kugler' via voidlinux wrote:
> [...]
> ERROR: No module named gi
> [...]
> gi seems not to be in repository pool.

python-gobject, you can use xlocate from xtools to locate them. 

$ xlocate python2.7/site-packages/gi/
[...]
python-gobject-3.26.0_1 /usr/lib/python2.7/site-packages/gi/__init__.py
[...]


^ permalink raw reply	[flat|nested] 14+ messages in thread

* Re: Flowblade
  2017-10-12 14:23             ` Flowblade Michael Gehring
@ 2017-10-12 14:51               ` Gerhard Kugler
  2017-10-12 15:19                 ` Flowblade Michael Gehring
  0 siblings, 1 reply; 14+ messages in thread
From: Gerhard Kugler @ 2017-10-12 14:51 UTC (permalink / raw)
  To: voidlinux

[-- Attachment #1.1: Type: text/plain, Size: 601 bytes --]

Now I get: No module named PIL

And if I call: xlocate python2.7/site-packages/pil   

nothing happens.

Thank you for your patience!


Am Donnerstag, 12. Oktober 2017 16:23:12 UTC+2 schrieb Michael Gehring:
>
> On Thu, Oct 12, 2017 at 07:19:41AM -0700, 'Gerhard Kugler' via voidlinux 
> wrote: 
> > [...] 
> > ERROR: No module named gi 
> > [...] 
> > gi seems not to be in repository pool. 
>
> python-gobject, you can use xlocate from xtools to locate them. 
>
> $ xlocate python2.7/site-packages/gi/ 
> [...] 
> python-gobject-3.26.0_1 /usr/lib/python2.7/site-packages/gi/__init__.py 
> [...] 
>
>
[-- Attachment #1.2: Type: text/html, Size: 894 bytes --]

^ permalink raw reply	[flat|nested] 14+ messages in thread

* Re: Flowblade
  2017-10-12 14:51               ` Flowblade Gerhard Kugler
@ 2017-10-12 15:19                 ` Michael Gehring
  2017-10-12 16:06                   ` Flowblade Gerhard Kugler
  0 siblings, 1 reply; 14+ messages in thread
From: Michael Gehring @ 2017-10-12 15:19 UTC (permalink / raw)
  To: Gerhard Kugler; +Cc: voidlinux

On Thu, Oct 12, 2017 at 07:51:17AM -0700, 'Gerhard Kugler' via voidlinux wrote:
> Now I get: No module named PIL
> 
> And if I call: xlocate python2.7/site-packages/pil   

$ xlocate python2.7/site-packages/PIL
python-Pillow-4.3.0_1   /usr/lib/python2.7/site-packages/PIL/BdfFontFile.py
[...]


^ permalink raw reply	[flat|nested] 14+ messages in thread

* Re: Flowblade
  2017-10-12 15:19                 ` Flowblade Michael Gehring
@ 2017-10-12 16:06                   ` Gerhard Kugler
  2017-11-07 19:47                     ` Flowblade Gerhard Kugler
  0 siblings, 1 reply; 14+ messages in thread
From: Gerhard Kugler @ 2017-10-12 16:06 UTC (permalink / raw)
  To: voidlinux

[-- Attachment #1.1: Type: text/plain, Size: 444 bytes --]

Thank you very much! So it succeeded.

Gerhard

Am Donnerstag, 12. Oktober 2017 17:19:03 UTC+2 schrieb Michael Gehring:
>
> On Thu, Oct 12, 2017 at 07:51:17AM -0700, 'Gerhard Kugler' via voidlinux 
> wrote: 
> > Now I get: No module named PIL 
> > 
> > And if I call: xlocate python2.7/site-packages/pil   
>
> $ xlocate python2.7/site-packages/PIL 
> python-Pillow-4.3.0_1   
> /usr/lib/python2.7/site-packages/PIL/BdfFontFile.py 
> [...] 
>
>
[-- Attachment #1.2: Type: text/html, Size: 662 bytes --]

^ permalink raw reply	[flat|nested] 14+ messages in thread

* Re: Flowblade
  2017-10-12 16:06                   ` Flowblade Gerhard Kugler
@ 2017-11-07 19:47                     ` Gerhard Kugler
  2017-11-07 20:15                       ` Flowblade Gerhard Kugler
  0 siblings, 1 reply; 14+ messages in thread
From: Gerhard Kugler @ 2017-11-07 19:47 UTC (permalink / raw)
  To: voidlinux

[-- Attachment #1.1: Type: text/plain, Size: 758 bytes --]

Now flowblade does not start anymore and gives me the following messages:

MLT found, version: 6.4.1
Failed to import module app.py to launch Flowblade!
ERROR: No module named numpy

What has changed recently?

Gerhard

Am Donnerstag, 12. Oktober 2017 18:06:24 UTC+2 schrieb Gerhard Kugler:
>
> Thank you very much! So it succeeded.
>
> Gerhard
>
> Am Donnerstag, 12. Oktober 2017 17:19:03 UTC+2 schrieb Michael Gehring:
>>
>> On Thu, Oct 12, 2017 at 07:51:17AM -0700, 'Gerhard Kugler' via voidlinux 
>> wrote: 
>> > Now I get: No module named PIL 
>> > 
>> > And if I call: xlocate python2.7/site-packages/pil   
>>
>> $ xlocate python2.7/site-packages/PIL 
>> python-Pillow-4.3.0_1   
>> /usr/lib/python2.7/site-packages/PIL/BdfFontFile.py 
>> [...] 
>>
>>
[-- Attachment #1.2: Type: text/html, Size: 1202 bytes --]

^ permalink raw reply	[flat|nested] 14+ messages in thread

* Re: Flowblade
  2017-11-07 19:47                     ` Flowblade Gerhard Kugler
@ 2017-11-07 20:15                       ` Gerhard Kugler
  0 siblings, 0 replies; 14+ messages in thread
From: Gerhard Kugler @ 2017-11-07 20:15 UTC (permalink / raw)
  To: voidlinux

[-- Attachment #1.1: Type: text/plain, Size: 947 bytes --]

Excuse my unnecessary question please! I had removed numpy by mistake.

Gerhard

Am Dienstag, 7. November 2017 20:47:29 UTC+1 schrieb Gerhard Kugler:
>
> Now flowblade does not start anymore and gives me the following messages:
>
> MLT found, version: 6.4.1
> Failed to import module app.py to launch Flowblade!
> ERROR: No module named numpy
>
> What has changed recently?
>
> Gerhard
>
> Am Donnerstag, 12. Oktober 2017 18:06:24 UTC+2 schrieb Gerhard Kugler:
>>
>> Thank you very much! So it succeeded.
>>
>> Gerhard
>>
>> Am Donnerstag, 12. Oktober 2017 17:19:03 UTC+2 schrieb Michael Gehring:
>>>
>>> On Thu, Oct 12, 2017 at 07:51:17AM -0700, 'Gerhard Kugler' via voidlinux 
>>> wrote: 
>>> > Now I get: No module named PIL 
>>> > 
>>> > And if I call: xlocate python2.7/site-packages/pil   
>>>
>>> $ xlocate python2.7/site-packages/PIL 
>>> python-Pillow-4.3.0_1   
>>> /usr/lib/python2.7/site-packages/PIL/BdfFontFile.py 
>>> [...] 
>>>
>>>
[-- Attachment #1.2: Type: text/html, Size: 1526 bytes --]

^ permalink raw reply	[flat|nested] 14+ messages in thread

end of thread, back to index

Thread overview: 14+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2017-10-12  6:25 Flowblade Gerhard Kugler
     [not found] ` <<d30aaf8e-8c6a-4d01-b5c7-a9e4b98a9400@googlegroups.com>
2017-10-12 12:39 ` Flowblade Leah Neukirchen
2017-10-12 13:40   ` Flowblade Gerhard Kugler
2017-10-12 13:47     ` Flowblade 0x...
2017-10-12 14:08       ` Flowblade Gerhard Kugler
2017-10-12 14:10         ` Flowblade Michael Gehring
2017-10-12 14:19           ` Flowblade Gerhard Kugler
2017-10-12 14:22             ` Flowblade Leah Neukirchen
2017-10-12 14:23             ` Flowblade Michael Gehring
2017-10-12 14:51               ` Flowblade Gerhard Kugler
2017-10-12 15:19                 ` Flowblade Michael Gehring
2017-10-12 16:06                   ` Flowblade Gerhard Kugler
2017-11-07 19:47                     ` Flowblade Gerhard Kugler
2017-11-07 20:15                       ` Flowblade Gerhard Kugler

Void Linux discussion

Archives are clonable: git clone --mirror http://inbox.vuxu.org/voidlinux

Newsgroup available over NNTP:
	nntp://inbox.vuxu.org/vuxu.archive.voidlinux


AGPL code for this site: git clone https://public-inbox.org/ public-inbox